﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using NorthwindModel;

public partial class CS : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!this.IsPostBack)
        {
            this.BindGrid();
        }
    }

    protected void BindGrid()
    {
        using (NorthwindEntities entities = new NorthwindEntities())
        {
            var countries = (from customer in entities.Customers
                      group customer by customer.Country into cGroup
                      select new
                      {
                          Country = cGroup.Key,
                          Count = cGroup.Count()
                      }).Take(10);

            gvCustomers.DataSource = countries;
            gvCustomers.DataBind();
        }
    }
}
